Bug 1125218 - pulp-admin trace-backs if config file section server misses the ca_path
Summary: pulp-admin trace-backs if config file section server misses the ca_path
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.5.0
Assignee: Jeff Ortel
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 10:51 UTC by Irina Gulina
Modified: 2014-11-24 21:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 21:33:57 UTC


Attachments (Terms of Use)

Description Irina Gulina 2014-07-31 10:51:20 UTC
>>rpm -qa | grep pulp-admin
pulp-admin-client-2.4.0-0.29.beta.fc20.noarch

after updating from 25th to 29th pulp

Steps to Reproduce:
>> pulp-admin -u admin -p admin 
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 9, in <module>
    load_entry_point('pulp-client-admin==2.4.0', 'console_scripts', 'pulp-admin')()
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/__init__.py", line 35, in main
    config_files, exception_handler_class=AdminExceptionHandler
  File "/usr/lib/python2.7/site-packages/pulp/client/launcher.py", line 85, in main
    server = _create_bindings(config, logger, username, password)
  File "/usr/lib/python2.7/site-packages/pulp/client/launcher.py", line 193, in _create_bindings
    ca_path = config['server']['ca_path']
KeyError: 'ca_path'

Comment 1 Randy Barlow 2014-08-13 19:59:20 UTC
This was fixed in the 2.4.1-0.1.alpha build.

Comment 2 Irina Gulina 2014-08-18 10:18:37 UTC
after commenting the ca_path line in config file, there is no traceback

Comment 3 Randy Barlow 2014-08-20 03:31:13 UTC
We are rebasing pulp-2.4.1, and so all of these bugs can no longer be considered VERIFIED. We will need to recheck them against the rebased build to make sure the cherry picking strategy did not introduce any regressions.

Comment 4 Chris Duryee 2014-09-30 13:52:48 UTC
build: 2.5.0-0.6.beta

Comment 5 Irina Gulina 2014-10-01 13:50:54 UTC
after commenting the ca_path line in the config file, there is no traceback


Note You need to log in before you can comment on or make changes to this bug.